## ide-grid-column ide-grid-column |

## Functions

GtkWidget * | ide_grid_column_new ()
IdeFrame * | ide_grid_column_get_current_stack ()
void | ide_grid_column_set_current_stack ()

## Properties

IdeFrame * | current-stack | Read / Write

## Types and Values

#define | IDE_TYPE_GRID_COLUMN
| IdeGridColumn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlMultiPaned
                        ╰── IdeGridColumn

## Implemented Interfaces

IdeGridColumn implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ide_grid_column_new ()

    GtkWidget *
    ide_grid_column_new (void);

### ide_grid_column_get_current_stack ()

    IdeFrame *
    ide_grid_column_get_current_stack (IdeGridColumn *self);

Gets the most recently focused stack. If no stack has been added, then `NULL` is returned.

#### Parameters

self | a IdeGridColumn |

#### Returns

an IdeFrame or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_grid_column_set_current_stack ()

    void
    ide_grid_column_set_current_stack (IdeGridColumn *self,
                                       IdeFrame *stack);

## Types and Values

### IDE_TYPE_GRID_COLUMN

    #define IDE_TYPE_GRID_COLUMN (ide_grid_column_get_type())

### IdeGridColumn

    typedef struct _IdeGridColumn IdeGridColumn;

## Property Details

### The `“current-stack”` property

      “current-stack”            IdeFrame *

The most recently focused stack within the column.

Owner: IdeGridColumn

Flags: Read / Write